Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.cms
Class PKCS5Scheme2PBEKey

    java.lang.Object
      org.bouncycastle.cms.CMSPBEKey
          org.bouncycastle.cms.PKCS5Scheme2PBEKey

All Implemented Interfaces:
  java.io.Serializable, java.security.Key, javax.crypto.interfaces.PBEKey, javax.crypto.SecretKey

    public class PKCS5Scheme2PBEKey

extends CMSPBEKey

PKCS5 scheme-2 - password converted to bytes assuming ASCII.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.crypto.interfaces.PBEKey
`serialVersionUID`

Constructor Summary
`PKCS5Scheme2PBEKey(char[] password, java.security.AlgorithmParameters pbeParams)`
`PKCS5Scheme2PBEKey(char[] password, byte[] salt, int iterationCount)`

Method Summary

Methods inherited from class org.bouncycastle.cms.CMSPBEKey
`getAlgorithm, getEncoded, getFormat, getIterationCount, getParamSpec, getPassword, getSalt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS5Scheme2PBEKey

    public PKCS5Scheme2PBEKey(char[] password,
                              byte[] salt,
                              int iterationCount)

### PKCS5Scheme2PBEKey

    public PKCS5Scheme2PBEKey(char[] password,
                              java.security.AlgorithmParameters pbeParams)
                       throws java.security.InvalidAlgorithmParameterException

Throws:
  `java.security.InvalidAlgorithmParameterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD